Storyden
Accounts

Account Auth Method Delete

Deletes the specified authentication method from the account. This is irreversible however if this authentication method is the only remaining method for the account, this operation will fail with a 400 bad request.

DELETE
/accounts/self/auth-methods/{auth_method_id}

Deletes the specified authentication method from the account. This is irreversible however if this authentication method is the only remaining method for the account, this operation will fail with a 400 bad request.

Authorization

cookiestoryden-session<token>

Path Parameters

auth_method_id*string

Response Body

OK

application/json
  1. response
active*array<>
available*array<>
Example Request
curl -X DELETE 'https://example.com/api/accounts/self/auth-methods/string'
Example Response
{  "active": [    {      "id": "string",      "created_at": "2019-08-24T14:15:22Z",      "name": "string",      "identifier": "string",      "provider": {        "provider": "string",        "name": "string",        "link": "string"      }    }  ],  "available": [    {      "provider": "string",      "name": "string",      "link": "string"    }  ]}